package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 混果汁订单信息
 *
 * @author zhuxiaofeng
 */
public class OrderT97 {

    /**
	 * 主键
	 */
	private Long id;
	private Long storeId;
	private String storeName;
	private String orderTypeTxt;
	private Integer orderType;
	private Integer source;
	/**
	 * 手机号
	 */
	private String mobile;
	private Long userId;
	/**
	 * 订单号
	 */
	private String orderNo;
	private String refundOrderNo;
	private String stautsTxt;
	private Integer status;
	private String itemName;
	private String itemSign;
	private String itemCate;
	private BigDecimal itemPrice;
	private BigDecimal num;
	private BigDecimal discountAmount;
	private String payTypeTxt;
	private Integer payType;
	private String payerMobile;
	private String payStatusTxt;
	private Integer payStatus;
	private BigDecimal payAmount;
	private BigDecimal cashAmount;
	private BigDecimal walletAmount;
	private BigDecimal thirdAmount;
	private Date orderAt;
	private Date payAt;
	private Date completedAt;

	private String itemId;
	private Long goodsId;
	private Integer itemPriceNew;

	public Integer getItemPriceNew() {
		return itemPriceNew;
	}

	public void setItemPriceNew(Integer itemPriceNew) {
		this.itemPriceNew = itemPriceNew;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public Long getGoodsId() {
		return goodsId;
	}

	public void setGoodsId(Long goodsId) {
		this.goodsId = goodsId;
	}

	public Integer getOrderType() {
		return orderType;
	}

	public void setOrderType(Integer orderType) {
		this.orderType = orderType;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getPayType() {
		return payType;
	}

	public void setPayType(Integer payType) {
		this.payType = payType;
	}

	public Integer getPayStatus() {
		return payStatus;
	}

	public void setPayStatus(Integer payStatus) {
		this.payStatus = payStatus;
	}

	public Integer getSource() {
		return source;
	}

	public void setSource(Integer source) {
		this.source = source;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getRefundOrderNo() {
		return refundOrderNo;
	}

	public void setRefundOrderNo(String refundOrderNo) {
		this.refundOrderNo = refundOrderNo;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getStoreId() {
		return storeId;
	}

	public void setStoreId(Long storeId) {
		this.storeId = storeId;
	}

	public String getStoreName() {
		return storeName;
	}

	public void setStoreName(String storeName) {
		this.storeName = storeName;
	}

	public String getOrderTypeTxt() {
		return orderTypeTxt;
	}

	public void setOrderTypeTxt(String orderTypeTxt) {
		this.orderTypeTxt = orderTypeTxt;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getStautsTxt() {
		return stautsTxt;
	}

	public void setStautsTxt(String stautsTxt) {
		this.stautsTxt = stautsTxt;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getItemSign() {
		return itemSign;
	}

	public void setItemSign(String itemSign) {
		this.itemSign = itemSign;
	}

	public String getItemCate() {
		return itemCate;
	}

	public void setItemCate(String itemCate) {
		this.itemCate = itemCate;
	}

	public BigDecimal getItemPrice() {
		return itemPrice;
	}

	public void setItemPrice(BigDecimal itemPrice) {
		this.itemPrice = itemPrice;
	}

	public BigDecimal getNum() {
		return num;
	}

	public void setNum(BigDecimal num) {
		this.num = num;
	}

	public BigDecimal getDiscountAmount() {
		return discountAmount;
	}

	public void setDiscountAmount(BigDecimal discountAmount) {
		this.discountAmount = discountAmount;
	}

	public String getPayTypeTxt() {
		return payTypeTxt;
	}

	public void setPayTypeTxt(String payTypeTxt) {
		this.payTypeTxt = payTypeTxt;
	}

	public String getPayerMobile() {
		return payerMobile;
	}

	public void setPayerMobile(String payerMobile) {
		this.payerMobile = payerMobile;
	}

	public String getPayStatusTxt() {
		return payStatusTxt;
	}

	public void setPayStatusTxt(String payStatusTxt) {
		this.payStatusTxt = payStatusTxt;
	}

	public BigDecimal getPayAmount() {
		return payAmount;
	}

	public void setPayAmount(BigDecimal payAmount) {
		this.payAmount = payAmount;
	}

	public BigDecimal getCashAmount() {
		return cashAmount;
	}

	public void setCashAmount(BigDecimal cashAmount) {
		this.cashAmount = cashAmount;
	}

	public BigDecimal getWalletAmount() {
		return walletAmount;
	}

	public void setWalletAmount(BigDecimal walletAmount) {
		this.walletAmount = walletAmount;
	}

	public BigDecimal getThirdAmount() {
		return thirdAmount;
	}

	public void setThirdAmount(BigDecimal thirdAmount) {
		this.thirdAmount = thirdAmount;
	}

	public Date getOrderAt() {
		return orderAt;
	}

	public void setOrderAt(Date orderAt) {
		this.orderAt = orderAt;
	}

	public Date getPayAt() {
		return payAt;
	}

	public void setPayAt(Date payAt) {
		this.payAt = payAt;
	}

	public Date getCompletedAt() {
		return completedAt;
	}

	public void setCompletedAt(Date completedAt) {
		this.completedAt = completedAt;
	}

	@Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
